Bug 243939 - devel/raylib: Update to 2.6.0
Summary: devel/raylib: Update to 2.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-06 20:12 UTC by Martin FIlla
Modified: 2020-02-24 20:26 UTC (History)
2 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
raylib.diff (1.08 KB, patch)
2020-02-06 20:12 UTC, Martin FIlla
no flags Details | Diff
raylib.diff (1.04 KB, patch)
2020-02-06 20:17 UTC, Martin FIlla
freebsd: maintainer-approval+
Details | Diff
raylib.diff (1.79 KB, patch)
2020-02-08 19:18 UTC, Martin FIlla
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin FIlla 2020-02-06 20:12:51 UTC
Created attachment 211424 [details]
raylib.diff

Hi, update version raylib.
Thank you M.
Comment 1 Martin FIlla 2020-02-06 20:17:09 UTC
Created attachment 211425 [details]
raylib.diff
Comment 2 Mateusz Piotrowski freebsd_committer 2020-02-07 20:52:53 UTC
Let's take a look!
Comment 3 Mateusz Piotrowski freebsd_committer 2020-02-07 21:01:10 UTC
Make sure you lint your makefiles according to the porter's book (usually it's enough to follow the suggestions of portfmt, portclippy and portlint).
Comment 4 Mateusz Piotrowski freebsd_committer 2020-02-07 21:03:52 UTC
It looks like the pkg-plist is outdated.

> ====> Running Q/A tests (stage-qa)
> ====> Checking for pkg-plist issues (check-plist)
> ===> Parsing plist
> ===> Checking for items in STAGEDIR missing from pkg-plist
> Error: Orphaned: lib/libraylib.so.261
> ===> Checking for items in pkg-plist which are not in STAGEDIR
> Error: Missing: lib/libraylib.so.2
> ===> Error: Plist issues found.
> *** Error code 1
> 
> Stop.
> make: stopped in /usr/ports/devel/raylib
> =>> Error: check-plist failures detected

Could make sure that your update still builds fine and passes all the QA checks? Using poudriere might help a lot!

Thanks! I'm looking forward to your next revision of the update patch. :)
Comment 5 Martin FIlla 2020-02-08 19:18:59 UTC
Created attachment 211481 [details]
raylib.diff

Hello omp, 
i am sorry for bad diff file
M.
Comment 6 commit-hook freebsd_committer 2020-02-23 15:19:28 UTC
A commit references this bug:

Author: 0mp
Date: Sun Feb 23 15:19:21 UTC 2020
New revision: 526924
URL: https://svnweb.freebsd.org/changeset/ports/526924

Log:
  Update to 2.6.0

  Changelog:
  https://github.com/raysan5/raylib/releases/tag/2.6.0

  Also:
  - Sort variables.
  - Remove an unnecessary post-patch target. It's a no-op.

  PR:		243939
  Submitted by:	Martin Filla <freebsd@sysctl.cz>

Changes:
  head/devel/raylib/Makefile
  head/devel/raylib/distinfo
Comment 7 Mateusz Piotrowski freebsd_committer 2020-02-23 15:21:12 UTC
Committed! Thanks for the patch!

You may want to lint your future submissions with tools like portclippy and portfmt. They are very helpful, (although not always correct).

Cheers!
Comment 8 Martin FIlla 2020-02-24 20:26:47 UTC
(In reply to Mateusz Piotrowski from comment #7)

Dear Mateusz 
I use portlint -AC for ports.
Thank you for commit.